
.namespace s06_HotSpot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	
		
		
	if self.Name == "trou_plancher" then
	trou_plancher.Enabled = false
	NavigationManager.SwitchTo(nil,"s07_SearchSite")
	
	end	
	
	if self.Name == "Flag_area" then
	SequencePlayer.Enabled = true
	SequencePlayer.PlaySequence("GP_601",nil,nil)

	
	end

	if self.Name == "masque_area" then
	SequencePlayer.Enabled = true
	SequencePlayer.PlaySequence("GP_604",nil,nil)
	end
end

function OnEnable()
	AreaHotspot.OnEnable()
	--self.firstclick = true
	OPLog.Log("mon onenable "..self.Name)
end


function GetSpecificCursor()
if  self.Name == "masque_area" then
		return 1
	elseif	self.Name == "Flag_area" then
		return 1
elseif	self.Name == "trou_plancher" then
		return 13,"s07"	
	else
		return CURSOR_AREA_HOTSPOT
	end
end
function OnDropObject()

end